import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 21.809 12.939',
	pathClassName: 'st0'
};

export function SvgUnHideEye(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg {...svgProps}>
			<g id='icon-unhide' transform='translate(0.542 0.5)'>
				<path
					id='Union_27'
					d='M12710.322,10784.941c-5.172-.035-10-5.6-10.2-5.836a.505.505,0,0,1,.01-.67c.182-.2,4.131-4.486,8.951-5.294a5.741,5.741,0,0,1,1.322-.14c.048,0,.1.006.14.006s.08-.006.118-.006c5.533.038,9.785,5.484,9.964,5.717a.506.506,0,0,1-.025.646c-.207.229-5.076,5.577-10.229,5.577Zm-.2-10.9a5.045,5.045,0,0,0-.53.048c-.083.013-.166.022-.249.038a4.958,4.958,0,1,0,1.144-.1C12710.366,10774.023,12710.245,10774.029,12710.124,10774.039Zm5.1,8.361a22.021,22.021,0,0,0,4.325-3.4,17.544,17.544,0,0,0-4.511-3.729A5.926,5.926,0,0,1,12715.223,10782.4Zm-14.021-3.614a22.107,22.107,0,0,0,4.214,3.486,5.936,5.936,0,0,1,.093-6.755A20.7,20.7,0,0,0,12701.2,10778.786Zm9.149,1.932a1.759,1.759,0,0,1,.028-3.519l0,0a1.757,1.757,0,0,1-.014,3.515Z'
					transform='translate(-12700 -10773.002)'
					stroke='rgba(0,0,0,0)'
					strokeWidth='1'
				/>
			</g>
		</svg>
	);
}
